# ###########################################################################
#
#             YIFF Sound Server - Default Sounce Scheme
#
#   This is the default sound scheme for the YIFF sound server.
#   You may create your own sound schemes, read this file and note
#   its format.
#
#   To use this file with YIFF, run:
#
#	yiff <input_pipe> default.scheme
#


# ###########################################################################
#
#                              Header
#

#   Sounds Toplevel Directory:
#
#	This sound scheme's toplevel dir.  All filenames specified herein
#	this scheme will have the following directory prefixed to it.
#
ToplevelDir = /usr/games/xshipwars/sounds


#   Sound Scheme Title:
#
Title = XShipWars Default


#   Sound File Parameter Requirements:
#
#	All sound files specified in this scheme MUST have a format
#	that matches the below parameters.

# In bits, can be 8 or 16.
SampleSize = 8

# Number of channels.
Channels = 1

# SampleRate, in samples per second.
SampleRate = 11025

# Number of bytes per second, this usually matches the SampleRate.
BytesPerSecond = 11025



# ###########################################################################

#   All purpose default sound when no other sound is available.
#
BeginSoundHeader = 0
    Filename = contacts1.wav
EndSoundHeader

#   ButtonPress beep. 
#
BeginSoundHeader = 1
    Filename = button1.wav
EndSoundHeader



#   Low attention beep.
#
BeginSoundHeader = 10
    Filename = attention2.wav
EndSoundHeader

#   Moderate attention beep.
#
BeginSoundHeader = 11
    Filename = alarm1.wav
EndSoundHeader

#   Loud attention beep.
#
BeginSoundHeader = 12
    Filename = alarm1.wav
EndSoundHeader


#   Incomming message beep.
#
BeginSoundHeader = 15
    Filename = attention2.wav
EndSoundHeader


#   Object scan beep.
#
BeginSoundHeader = 16   
    Filename = scan1.wav
EndSoundHeader


#   Contacts beep.
#
BeginSoundHeader = 17
    Filename = contacts1.wav
EndSoundHeader



# ######################################################################

# Stream weapons fire.
BeginSoundHeader = 30
    Filename = fire_stream1.wav
EndSoundHeader

# Pulse weapons fire.
BeginSoundHeader = 31
    Filename = fire_stream1.wav
EndSoundHeader

# Projectile weapons fire.
BeginSoundHeader = 32
    Filename = fire_stream1.wav
EndSoundHeader
